Uses of Class
com.eqixiac.equinix.fabric.model.implementation.PhysicalPort
Packages that use PhysicalPort
Package
Description
Fabric domain client interfaces for the Equinix Java SDK.
Fabric domain model interfaces for the Equinix Java SDK.
-
Uses of PhysicalPort in com.eqixiac.equinix.fabric.client
Method parameters in com.eqixiac.equinix.fabric.client with type arguments of type PhysicalPortModifier and TypeMethodDescriptionPorts.addToLag(String portId, List<PhysicalPort> physicalPorts) Adds physical ports to a virtual port's Link Aggregation Group (POST /fabric/v4/ports/{portId}/physicalPorts/bulk). -
Uses of PhysicalPort in com.eqixiac.equinix.fabric.client.implementation
Method parameters in com.eqixiac.equinix.fabric.client.implementation with type arguments of type PhysicalPortModifier and TypeMethodDescriptionPortsImpl.addToLag(String portId, List<PhysicalPort> physicalPorts) -
Uses of PhysicalPort in com.eqixiac.equinix.fabric.client.internal
Method parameters in com.eqixiac.equinix.fabric.client.internal with type arguments of type PhysicalPortModifier and TypeMethodDescriptionPortClient.addToLag(String portId, List<PhysicalPort> physicalPorts) Adds physical ports to a virtual port's LAG (POST /fabric/v4/ports/{portId}/physicalPorts/bulk). -
Uses of PhysicalPort in com.eqixiac.equinix.fabric.client.internal.implementation
Method parameters in com.eqixiac.equinix.fabric.client.internal.implementation with type arguments of type PhysicalPortModifier and TypeMethodDescriptionPortClientImpl.addToLag(String portId, List<PhysicalPort> physicalPorts) -
Uses of PhysicalPort in com.eqixiac.equinix.fabric.model
Methods in com.eqixiac.equinix.fabric.model that return types with arguments of type PhysicalPort -
Uses of PhysicalPort in com.eqixiac.equinix.fabric.model.json.creators
Method parameters in com.eqixiac.equinix.fabric.model.json.creators with type arguments of type PhysicalPortModifier and TypeMethodDescriptionPortOperator.PortBuilder.withPhysicalPorts(List<PhysicalPort> physicalPorts) Sets the physical ports that implement this port.